<?php

namespace Drupal\prometheus_metrics\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\prometheus_metrics\Bridge\PrometheusMetricsInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Symfony\Component\HttpFoundation\Response;

/**
 * Class MetricsController.
 */
class MetricsController extends ControllerBase {

  /**
   * @var PrometheusMetricsInterface
   */
  private PrometheusMetricsInterface $prometheusMetrics;

  public function __construct(PrometheusMetricsInterface $prometheusMetrics){
    $this->prometheusMetrics = $prometheusMetrics;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('prometheus_metrics.artprima_bridge')
    );
  }

  /**
   * Returns all metrics collected.
   *
   * @return string
   *   Return collected metrics in Prometheus format
   */
  public function collect() {
    return new Response(
      $this->prometheusMetrics->render(),
      200,
      [
        'Content-Type' => 'text/plain'
      ]
    );

  }

}
